﻿
using System;
using System.Linq;
using Wisej.Web;

namespace Wisej.DGVSyncSample
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void Window1_Load(object sender, EventArgs e)
		{
			this.dataGridViewWithTopRows.AllowUserToOrderColumns = true;
			this.dataGridViewWithTopRows.RowCount = 5;
			this.dataGridViewWithTopRows.HeaderGrid.RowCount = 1;

			this.dataGridViewWithBottomRows.RowCount = 5;
			this.dataGridViewWithBottomRows.SummaryGrid.RowCount = 1;
			this.dataGridViewWithBottomRows.SetValue(2, 0, 1);
			this.dataGridViewWithBottomRows.SetValue(2, 1, 2);
			this.dataGridViewWithBottomRows.SetValue(2, 2, 3);
			this.dataGridViewWithBottomRows.SetValue(2, 3, 4);
			this.dataGridViewWithBottomRows.SetValue(2, 4, 5);
		}

		private void dataGridViewWithBottomRows_CellValueChanged(object sender, DataGridViewCellEventArgs e)
		{
			// sum third column.
			if (e.ColumnIndex == 2 && this.Created)
			{
				var total = this.dataGridViewWithBottomRows.Rows.Sum(r => Convert.ToInt32(r[2].Value ?? 0));
				this.dataGridViewWithBottomRows.SummaryGrid.Rows[0][2].Value = total;
			}
		}
	}
}
